Opened 7 years ago

Closed 4 years ago

#1484 closed Task (fixed)

Specific branch for PISCES with diurnal cycle

Reported by: cetlod Owned by: cetlod
Priority: low Milestone: 2015 release-3.6
Component: TOP Version: trunk
Severity: minor Keywords: PISCES
Cc:

Description (last modified by cetlod)

Since some major bugs have been fixed in LIM3, we leave the existing branch branches/2015/dev_r5138_CNRS_PISCES_dcy/ and create a new one based on the latest revision of the trunk 5204

  • New name : branches/2015/dev_r5204_CNRS_PISCES_dcy/
  • In coupled mode : computation of daily mean solar radiation from the one having a diurnal cycle
  • In LIM3 : computation of daily mean solar fluxes at ice surface and the one transmitted below the surface layer ( as it's done in LIM2 )
  • Slight modifications in LIM2 to share some variables
  • In PISCES : definition of 2 PAR - Photo. available radiation -
    • etot computed with a daily mean qsr ( needed for some processes like production, limitation etc..)
    • etot_ndcy computed using a qsr with diurnal cycle ( remineralisation, iron chemical..)

Commit History (4)

ChangesetAuthorTimeChangeLog
5236cetlod2015-04-24T14:08:11+02:00

NEMOGCM_dev_r5204_CNRS_PISCES_dcy : update routines according to the new strategy, see ticket #1484

5206cetlod2015-04-13T12:13:10+02:00

First improvment of diurnal cycle for passive tracers, see ticket #1484

5205cetlod2015-04-13T10:21:09+02:00

Create a new branch with diurnal cycle in PISCES, see ticket #1484

5139cetlod2015-03-11T11:43:12+01:00

Create new development branch for PISCES with diurnal cycle, see ticket #1484

Change History (6)

comment:1 Changed 7 years ago by cetlod

Name of the branch : branches/2015/dev_r5138_CNRS_PISCES_dcy/

comment:2 Changed 7 years ago by cetlod

  • Description modified (diff)

comment:3 Changed 7 years ago by cetlod

New strategy : Computation of daily mean qsr in TOP model from the one having already been modified by the coupled ocean/sea-ice system.

  • the method adopted is to store in TOP the qsr every hour ( or every time-step is the latter is greater than 1 hour ) and then, compute the mean with a moving average over 24 hours. In coupled mode, the sampling is done at every coupling frequency
  • Benefits : the piece of code is no more intrusive at all - no need to modify the ocean or sea-ice model routines


PS : results of discussions and exchanges with Olivier Aumont & Laurent Bopp

comment:4 Changed 4 years ago by nicolasmartin

  • Owner changed from nemo to cetlod
  • Status changed from new to assigned

comment:5 Changed 4 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

comment:6 Changed 4 years ago by nemo

  • Resolution set to fixed
  • Severity set to minor
  • Status changed from assigned to closed

Seen with Christian, done on the trunk

Note: See TracTickets for help on using tickets.